MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028281Open CASCADE[OCCT] OCCT:DRAWpublic2016-12-25 20:042017-09-29 16:31
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028281: Draw Harness - remove unused command vperf
DescriptionThe command vperf is not useful for any purpose and should be removed.
//purpose  : Test the annimation of an object along a
//           predifined trajectory
//Draw arg : vperf ShapeName 1/0(Transfo/Location) 1/0(Primitives sensibles ON/OFF)
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027764closedapn Visualization - add functionality for animation of 3D camera and interactive objects 

-  Notes
(0062093)
git (administrator)
2016-12-25 20:07

Branch CR28281 has been created by kgv.

SHA-1: 33499ae59742e444f3fa79b27a119ec3fe066a19


Detailed log of new commits:

Author: kgv
Date: Sun Dec 25 20:07:39 2016 +0300

    0028281: Draw Harness - remove unused command vperf
(0062094)
kgv (developer)
2016-12-25 20:08

Patch is ready for review.
(0062102)
san (developer)
2016-12-26 09:42

Branch CR28281 reviewed without remarks, ready for testing.
(0062174)
apv (tester)
2016-12-27 13:05

Dear BugMaster,

Branch CR28281 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 33499ae59742e444f3fa79b27a119ec3fe066a19

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1130

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93392026 / 93054150 [+0.36%]
Total CPU difference: 21615.450000000175 / 21520.60000000037 [+0.44%]

Testing on Windows:
Total MEMORY difference: 58627693 / 58650770 [-0.04%]
Total CPU difference: 19239.306928098555 / 19731.318481998722 [-2.49%]
(0063574)
git (administrator)
2017-02-08 11:32

Branch CR28281 has been deleted by kgv.

SHA-1: 33499ae59742e444f3fa79b27a119ec3fe066a19

- Related Changesets
occt: master 5c20836e
Timestamp: 2016-12-25 17:07:39
Author: kgv
Committer: apn
Details ] Diff ]
0028281: Draw Harness - remove unused command vperf
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-25 20:04 kgv New Issue
2016-12-25 20:04 kgv Assigned To => kgv
2016-12-25 20:07 git Note Added: 0062093
2016-12-25 20:08 kgv Note Added: 0062094
2016-12-25 20:08 kgv Assigned To kgv => san
2016-12-25 20:08 kgv Status new => resolved
2016-12-25 20:08 kgv Relationship added related to 0027764
2016-12-26 09:42 san Note Added: 0062102
2016-12-26 09:42 san Assigned To san => bugmaster
2016-12-26 09:42 san Status resolved => reviewed
2016-12-26 14:44 apv Assigned To bugmaster => apv
2016-12-26 15:00 apv Test case number => Not needed
2016-12-27 13:05 apv Note Added: 0062174
2016-12-27 13:05 apv Assigned To apv => bugmaster
2016-12-27 13:05 apv Status reviewed => tested
2016-12-30 18:08 apn Changeset attached => occt master 5c20836e
2016-12-30 18:08 apn Assigned To bugmaster => apn
2016-12-30 18:08 apn Status tested => verified
2016-12-30 18:08 apn Resolution open => fixed
2017-02-08 11:32 git Note Added: 0063574
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker